### Method

# Vips Image draw_rect1

#### Declaration [src]

    int
    vips_draw_rect1 (
      VipsImage* image,
      double ink,
      int left,
      int top,
      int width,
      int height,
      ...
    )

#### Description [src]

As `vips_draw_rect()`, but just take a single double for `ink`.

Optional arguments

- `fill`: `gboolean`, fill the rect

See also

`vips_draw_rect()`.

This method is not directly available to language bindings.

#### Parameters

`ink`

  Type: `double`

  Value to draw.

`left`

  Type: `int`

  Area to paint.

`top`

  Type: `int`

  Area to paint.

`width`

  Type: `int`

  Area to paint.

`height`

  Type: `int`

  Area to paint.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.